SELECT 'Upgrading MetaStore schema from 0.14.0 to 1.1.0' AS MESSAGE;


/****** Object:  Table [dbo].[NOTIFICATION_LOG] ******/
SET ANSI_NULLS ON

SET QUOTED_IDENTIFIER ON

SET ANSI_PADDING ON

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NOTIFICATION_LOG]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[NOTIFICATION_LOG]
(
    [NL_ID] [bigint] NOT NULL,
    [EVENT_ID] [bigint] NOT NULL,
    [EVENT_TIME] [int] NOT NULL,
    [EVENT_TYPE] [nvarchar](32) NOT NULL,
    [DB_NAME] [nvarchar](128) NULL,
    [TBL_NAME] [nvarchar](128) NULL,
    [MESSAGE] [text] NULL,
CONSTRAINT [NOTIFICATION_LOG_PK] PRIMARY KEY CLUSTERED
(
  [NL_ID] ASC
) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)
SET ANSI_PADDING OFF
END

/****** Object:  Table [dbo].[NOTIFICATION_SEQUENCE] ******/
SET ANSI_NULLS ON

SET QUOTED_IDENTIFIER ON

SET ANSI_PADDING ON

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[NOTIFICATION_SEQUENCE]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[NOTIFICATION_SEQUENCE]
(
    [NNI_ID] [bigint] NOT NULL,
    [NEXT_EVENT_ID] [bigint] NOT NULL,
CONSTRAINT [NOTIFICATION_SEQUENCE_PK] PRIMARY KEY CLUSTERED
(
  [NNI_ID] ASC
) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
);
SET ANSI_PADDING OFF
END



UPDATE [dbo].[VERSION] SET SCHEMA_VERSION='1.1.0', VERSION_COMMENT='Hive release version 1.1.0' where VER_ID=1;
SELECT 'Finished upgrading MetaStore schema from 0.14.0 to 1.1.0' AS MESSAGE;
