SELECT 'Upgrading MetaStore schema from 1.2.0 to 1.2.1000' AS MESSAGE;


IF NOT EXISTS (SELECT * FROM sys.columns WHERE Name = N'TXN_AGENT_INFO' and Object_ID = Object_ID(N'TXNS'))
BEGIN
ALTER TABLE [dbo].[TXNS] ADD [TXN_AGENT_INFO] [nvarchar](128) NULL;
END
IF NOT EXISTS (SELECT * FROM sys.columns WHERE Name = N'TXN_META_INFO' and Object_ID = Object_ID(N'TXNS'))
BEGIN
ALTER TABLE [dbo].[TXNS] ADD [TXN_META_INFO] [nvarchar](128) NULL;
END
IF NOT EXISTS (SELECT * FROM sys.columns WHERE Name = N'TXN_HEARTBEAT_COUNT' and Object_ID = Object_ID(N'TXNS'))
BEGIN
ALTER TABLE [dbo].[TXNS] ADD [TXN_HEARTBEAT_COUNT] [int] NULL;
END


IF NOT EXISTS (SELECT * FROM sys.columns WHERE Name = N'HL_HEARTBEAT_COUNT' and Object_ID = Object_ID(N'HIVE_LOCKS'))
BEGIN
ALTER TABLE [dbo].[HIVE_LOCKS] ADD [HL_HEARTBEAT_COUNT] [int] NULL;
END
IF NOT EXISTS (SELECT * FROM sys.columns WHERE Name = N'HL_AGENT_INFO' and Object_ID = Object_ID(N'HIVE_LOCKS'))
BEGIN
ALTER TABLE [dbo].[HIVE_LOCKS] ADD [HL_AGENT_INFO] [nvarchar](128) NULL;
END
IF NOT EXISTS (SELECT * FROM sys.columns WHERE Name = N'HL_BLOCKEDBY_EXT_ID' and Object_ID = Object_ID(N'HIVE_LOCKS'))
BEGIN
ALTER TABLE [dbo].[HIVE_LOCKS] ADD [HL_BLOCKEDBY_EXT_ID] [bigint] NULL;
END
IF NOT EXISTS (SELECT * FROM sys.columns WHERE Name = N'HL_BLOCKEDBY_INT_ID' and Object_ID = Object_ID(N'HIVE_LOCKS'))
BEGIN
ALTER TABLE [dbo].[HIVE_LOCKS] ADD [HL_BLOCKEDBY_INT_ID] [bigint] NULL;
END


IF NOT EXISTS (SELECT * FROM sys.columns WHERE Name = N'CQ_HIGHEST_TXN_ID' and Object_ID = Object_ID(N'COMPACTION_QUEUE'))
BEGIN
ALTER TABLE [dbo].[COMPACTION_QUEUE] ADD [CQ_HIGHEST_TXN_ID] [bigint] NULL;
END
IF NOT EXISTS (SELECT * FROM sys.columns WHERE Name = N'CQ_META_INFO' and Object_ID = Object_ID(N'COMPACTION_QUEUE'))
BEGIN
ALTER TABLE [dbo].[COMPACTION_QUEUE] ADD [CQ_META_INFO] [varbinary](2048) NULL;
END
IF NOT EXISTS (SELECT * FROM sys.columns WHERE Name = N'CQ_HADOOP_JOB_ID' and Object_ID = Object_ID(N'COMPACTION_QUEUE'))
BEGIN
ALTER TABLE [dbo].[COMPACTION_QUEUE] ADD [CQ_HADOOP_JOB_ID] [nvarchar](128) NULL;
END


IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[COMPLETED_COMPACTIONS]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[COMPLETED_COMPACTIONS] (
	[CC_ID] [bigint] NOT NULL,
	[CC_DATABASE] [nvarchar](128) NOT NULL,
	[CC_TABLE] [nvarchar](128) NOT NULL,
	[CC_PARTITION] [nvarchar](767) NULL,
	[CC_STATE] [char](1) NOT NULL,
	[CC_TYPE] [char](1) NOT NULL,
	[CC_WORKER_ID] [nvarchar](128) NULL,
	[CC_START] [bigint] NULL,
	[CC_END] [bigint] NULL,
	[CC_RUN_AS] [nvarchar](128) NULL,
	[CC_HIGHEST_TXN_ID] [bigint] NULL,
  [CC_META_INFO] [varbinary](2048) NULL,
	[CC_HADOOP_JOB_ID] [nvarchar](128) NULL,
PRIMARY KEY CLUSTERED 
(
	[CC_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)
END

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AUX_TABLE]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[AUX_TABLE] (
  [MT_KEY1] [nvarchar](128) NOT NULL,
  [MT_KEY2] [bigint] NOT NULL,
  [MT_COMMENT] [nvarchar](255) NULL,
  PRIMARY KEY CLUSTERED
(
    [MT_KEY1] ASC,
    [MT_KEY2] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)
END


UPDATE [dbo].[VERSION] SET SCHEMA_VERSION='1.2.1000', VERSION_COMMENT='Hive release version 1.2.1000' where VER_ID=1;
SELECT 'Finished upgrading MetaStore schema from 1.2.0 to 1.2.1000' AS MESSAGE;
